var name = 'upgrader';

/** @param {Creep} creep **/
function run(creep) {

	if(creep.memory.upgrading && creep.store[RESOURCE_ENERGY] == 0) {
		creep.memory.upgrading = false;
	}
	if(!creep.memory.upgrading && creep.store.getFreeCapacity() == 0) {
		creep.memory.upgrading = true;
	}

	if(creep.memory.upgrading) {
		if(creep.upgradeController(creep.room.controller) == ERR_NOT_IN_RANGE) {
			creep.moveTo(creep.room.controller, {visualizePathStyle: {stroke: '#ffffff'}});
		}
	}
	else {
		var sources = creep.room.find(FIND_SOURCES);
		if(creep.harvest(sources[1]) == ERR_NOT_IN_RANGE) {
			creep.moveTo(sources[1], {visualizePathStyle: {stroke: '#ffaa00'}});
		}
	}
}

module.exports = {name,run};
